Update Client Member
curl --request PUT \
--url https://api.chat-dash.com/v1/public/clients/{clientId}/members/{memberId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"loginId": "<string>",
"email": "<string>",
"password": "<string>",
"isAdmin": false
}
'import requests
url = "https://api.chat-dash.com/v1/public/clients/{clientId}/members/{memberId}"
payload = {
"name": "<string>",
"loginId": "<string>",
"email": "<string>",
"password": "<string>",
"isAdmin": False
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
loginId: '<string>',
email: '<string>',
password: '<string>',
isAdmin: false
})
};
fetch('https://api.chat-dash.com/v1/public/clients/{clientId}/members/{memberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Member updated successfully"
}{
"error": "Login ID already in use"
}{
"error": "An unexpected error occurred"
}Clients
Update Client Member
Update a client member
PUT
/
clients
/
{clientId}
/
members
/
{memberId}
Update Client Member
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the client
The ID of the member
Body
application/json
Response
OK
Example:
"Member updated successfully"
⌘I
